Single work expression
Fetch a single work expression using an FRBR URI.
Fetch a single work expression
Get details of a work expression (or a partion of one) using either a work or expression FRBR URI.
/akn/za/act/1994/2.json: Act 2 of 1992 in JSON format./akn/za/act/1994/2/eng@1994-01-01.json: Act 2 of 1992, English version at 1994-01-01, in JSON format.
The FRBR URI of the work or work expression, without the first slash, such as akn/za/act/1994/2/
Details of a published work expression (document).
Detail URL for this work expression.
Short title of the work, in the expression language.
Timestamp of when the expression was first created.
Timestamp of when the expression was last updated.
ISO 3166-1 alpha-2 country code that this work belongs to.
The code of the locality within the country.
Doctype component of the work FRBR URI.
Subtype component of the work FRBR URI.
Actor component of the work FRBR URI.
Year portion of the FRBR date component the work FRBR URI.
Number component of the work FRBR URI.
FRBR URI that uniquely identifies this work.
FRBR URI that uniquely identifies this work expression.
Date of original publication of the work.
Name of the publication in which the work was originally published.
Number of the publication in which the work was originally published.
Whether this work has commenced.
Do all the provisions at the curernt expression date have a related commencement?
Date on which the bulk of the work commences.
Date when the work was assented to.
Date of publication or latest amendment
Three letter ISO-639-2 language code for this work expression.
A stub work has no content, only metadata.
A principal work is a main work and not just a repealing, commencing or amending work.
Alternative title for the work, using the document type and number.
Slugs of the taxonomy topics applicable to this work.
The date at which this work is known to be up-to-date.
Human-friendly version of doctype and/or subtype.
Disclaimer text about this work
Well-known alternative names for this work.
GET /v3/{frbr_uri} HTTP/1.1
Accept: */*
{
"url": "https://example.com",
"title": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"country": "text",
"locality": "text",
"nature": "text",
"subtype": "text",
"actor": "text",
"year": "text",
"number": "text",
"frbr_uri": "text",
"expression_frbr_uri": "text",
"publication_date": "2026-01-01",
"publication_name": "text",
"publication_number": "text",
"publication_document": {
"url": "https://example.com",
"filename": "text",
"mime_type": "text",
"size": 1
},
"commenced": true,
"commenced_in_full": true,
"commencement_date": "2026-01-01",
"commencing_work": {
"frbr_uri": "text",
"title": "text"
},
"assent_date": "2026-01-01",
"repeal": {
"date": "2026-01-01",
"repealing_title": "text",
"repealing_uri": "text"
},
"parent_work": {
"frbr_uri": "text",
"title": "text"
},
"expression_date": "2026-01-01",
"language": "text",
"points_in_time": [
{
"date": "2026-01-01",
"expressions": [
{
"url": "https://example.com",
"language": "text",
"expression_frbr_uri": "text",
"expression_date": "2026-01-01",
"title": "text"
}
]
}
],
"amendments": [
{
"date": "2026-01-01",
"amending_title": "text",
"amending_uri": "text"
}
],
"work_amendments": [
{
"date": "2026-01-01",
"amending_title": "text",
"amending_uri": "text"
}
],
"stub": true,
"principal": true,
"numbered_title": "text",
"taxonomy_topics": [
"text"
],
"as_at_date": "2026-01-01",
"custom_properties": null,
"type_name": "text",
"amendments_made": "text",
"enacted_as": "text",
"repeals_made": "text",
"commencements_made": "text",
"links": [
{
"rel": "text",
"title": "text",
"href": "https://example.com",
"media_type": "text"
}
],
"disclaimer": "text",
"aliases": [
"text"
]
}Supported content types: JSON, HTML, PDF, ePub, zip.
Query Parameters for HTML Content
When fetching HTML content (using the .html endpoint), you can control some aspects of how the HTML is generated using query parameters.
For example, usually you will want to make links to other legislation relative to your website. You can do this by using ?resolver=none when fetching the HTML.
coverpage
string
Should the response include a generated coverpage? Use 1 for true, anything else for false. Default: 1. HTML-only.
media-url
string
The fully-qualified URL prefix to use when generating links to embedded media, such as images.
resolver
string
The fully-qualified URL to use when resolving references to other Akoma Ntoso documents. Use no or none to disable. Defaults to using the Laws.Africa resolver.
standalone
number
If this is 1 , the response will be a complete HTML document, including CSS, that can stand on its own. Otherwise it will be an HTML fragment. Default: false. HTML-only.
Expressions at specific points in time
Works may be amended and change over time. You can fetch different amended versions of a work by specifying the language and date in the FRBR URI of the request.
The available points in time of a work are listed in the points_in_time field of the JSON description of the work. Each point in time includes a date and a list of expressions available at that date, one for each available language.
To fetch the very first expression of a work, use frbr-uri/:language@, for example: /akn/za/act/1998/5/eng@.
To fetch a specific point in time, use frbr-uri/:language@:date, for example: /akn/za/act/1998/5/eng@2014-01-17.
To fetch the most recent point in time at or before a specific date, use frbr-uri/:language::date, for example /akn/za/act/1998/5/eng:2014-01-17.
Date formats for specific points in time
@
Very first expression of a work.
/akn/za/act/1998/55/eng@
@YYYY-MM-DD
Expression at the specific date.
/akn/za/act/1998/55/eng@2014-01-17
:YYYY-MM-DD
Most recent expression at or before a date.
/akn/za/act/1998/55/eng:2015-01-01
(none)
The most recent expression at or before today's date. Equivalent to using : with today's date.
/akn/za/act/1998/55/eng
Last updated